package com.railway.business.baseinfo.service;

import com.railway.business.baseinfo.domain.BasePreventThunder;
import java.util.List;
/**
* 九防台账-防雷
* @author wuhonghao
* @date 2021/11/13
*/
public interface IBasePreventThunderService{

    /**
    * 新增
    */
    int create(BasePreventThunder basePreventThunder);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(BasePreventThunder basePreventThunder);

    /**
    * 获取单个
    */
    BasePreventThunder getInfo(String id);

    /**
    * 查询列表
    */
    List<BasePreventThunder> getList(BasePreventThunder basePreventThunder);

}
